Doug Hockin - 2013-01-14

I'm using Eclipse juno Service Release 1 with DLTK  4.0.0.201206120848 installed to get Tcl and Ruby support. I then installed EPIC to get Perl support but it messes with running Tcl programs. When I click on Run while it a Tcl program I get a dialog asking if I want it to run with Perl or Tcl. This happens even though the file has a Tcl extension and "#!/bin/env tclsh" as it's first line. What's worse is that it doesn't remember my choice so that every time I run it I have to make the choice again.

Why is this happening? Does Perl think it can execute Tcl script? I uninstalled EPIC and the problem is gone, but it would be nice if I could have it installed and just configure something so that the problem goes away.